/ comp / gb.qt / message
Message (gb.qt)

This class is used for displaying message boxes.

Symbols
This class is static.
This class can be used as a function.

Static methods |
Delete Error Info Question Warning |

All Message functions can have up to three buttons:

- The first button is always the default button.
- The last button is always the cancel button.

When invoked with only one argument, then there is only one "OK" button.

Message boxes are modal, i.e. the program is paused until one button is clicked.

When the message box is closed, the index of the clicked button is returned.

### Examples

    PRINT Message("Program v0.3\\nVersion of 2006-03-28")
    PRINT Message.Info("Program v0.3\\nVersion of 2006-03-28", "Fine")
    PRINT Message.Warning("Your changes will be lost", "Save", "Ignore", "Cancel")